package com.cym.ext;

import com.cym.model.Level;
import com.cym.model.User;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "用户Ext")
public class UserExt extends User {
	private static final long serialVersionUID = 3218155943288312071L;

	@Schema(description = "用户等级")
	Level level;
	@Schema(description = "域名数")
	Long domainCount;
	@Schema(description = "四层转发数")
	Long upstreamCount;
	@Schema(description = "证书数")
	Long certCount;
	@Schema(description = "推广url")
	String parentUrl;

	@Schema(description = "主机数量")
	Long machineCount;

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public Long getMachineCount() {
		return machineCount;
	}

	public void setMachineCount(Long machineCount) {
		this.machineCount = machineCount;
	}

	public Level getLevel() {
		return level;
	}

	public void setLevel(Level level) {
		this.level = level;
	}

	public Long getDomainCount() {
		return domainCount;
	}

	public void setDomainCount(Long domainCount) {
		this.domainCount = domainCount;
	}

	public Long getUpstreamCount() {
		return upstreamCount;
	}

	public void setUpstreamCount(Long upstreamCount) {
		this.upstreamCount = upstreamCount;
	}

	public Long getCertCount() {
		return certCount;
	}

	public void setCertCount(Long certCount) {
		this.certCount = certCount;
	}

	public String getParentUrl() {
		return parentUrl;
	}

	public void setParentUrl(String parentUrl) {
		this.parentUrl = parentUrl;
	}

}
